package com.keao.edu.common.dao;


import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.entity.SysMessageConfig;
import org.apache.ibatis.annotations.Param;

public interface SysMessageConfigDao extends BaseDAO<Integer, SysMessageConfig> {

	/**
	 * 根据消息类型查询对象
	 * @param messageType
	 * @return
	 */
	SysMessageConfig queryByType(@Param("messageType") String messageType);

	SysMessageConfig queryByEvent(@Param("event") String event);

    String findContent(String messageType);
}
